import Request from '@/utils/request/request-util';

/**
 * 流程标签
 *
 * @author fengshuonan
 * @date 2021/4/1 14:34
 */
export class FlowTagApi {
  /**
   * 获取流程实例个人的标签列表
   * @param {*} params
   * @returns
   */
  static findUserTagList(params) {
    return Request.get('/runtimeTag/findUserTagList', params);
  }

  /**
   * 更新某个流程实例的个人的标签绑定
   * @param {*} params
   * @returns
   */
  static updateUserTag(params) {
    return Request.post('/runtimeTag/updateUserTag', params);
  }

  /**
   * 用在筛选界面-获取标签列表
   * @param {*} params
   * @returns
   */
  static tagList(params) {
    return Request.get('/runtimeTag/queryParam/tagList', params);
  }
}
